<?php

/**
 * Handles PaceBuilder column html generation and column settings in the PaceBuilder backend
 *
 * @package    PTPB
 * @subpackage PTPB/includes
 * @author     Pace Themes <dev@pacethemes.com>
 */


class PTPB_Icons extends PTPB_Singleton {

	public function icons(){
		return apply_filters( 'ptpb_icons', array( 
											__( 'Font Awesome', 'pace-builder' ) => $this->fontawesome(), 
											__( 'Dashicons', 'pace-builder' ) => $this->dashicons(),
											__( 'Themify', 'pace-builder' ) => $this->themify(),
										) );
	}

	public function fontawesome(){
		return array(
			'css_path' 			=> PTPB()->plugin_url() . '/assets/plugins/font-awesome/css/font-awesome.min.css',
			'always_enqueue'   	=> false,
			'check_if_enqueued' => true,
			'class_check'		=> 'fa-',
			'icons' 			=> array(
									'500px' => 'fa fa-500px',
									'adjust' => 'fa fa-adjust',
									'adn' => 'fa fa-adn',
									'align-center' => 'fa fa-align-center',
									'align-justify' => 'fa fa-align-justify',
									'align-left' => 'fa fa-align-left',
									'align-right' => 'fa fa-align-right',
									'amazon' => 'fa fa-amazon',
									'ambulance' => 'fa fa-ambulance',
									'american-sign-language-interpreting' => 'fa fa-american-sign-language-interpreting',
									'anchor' => 'fa fa-anchor',
									'android' => 'fa fa-android',
									'angellist' => 'fa fa-angellist',
									'angle-double-down' => 'fa fa-angle-double-down',
									'angle-double-left' => 'fa fa-angle-double-left',
									'angle-double-right' => 'fa fa-angle-double-right',
									'angle-double-up' => 'fa fa-angle-double-up',
									'angle-down' => 'fa fa-angle-down',
									'angle-left' => 'fa fa-angle-left',
									'angle-right' => 'fa fa-angle-right',
									'angle-up' => 'fa fa-angle-up',
									'apple' => 'fa fa-apple',
									'archive' => 'fa fa-archive',
									'area-chart' => 'fa fa-area-chart',
									'arrow-circle-down' => 'fa fa-arrow-circle-down',
									'arrow-circle-left' => 'fa fa-arrow-circle-left',
									'arrow-circle-o-down' => 'fa fa-arrow-circle-o-down',
									'arrow-circle-o-left' => 'fa fa-arrow-circle-o-left',
									'arrow-circle-o-right' => 'fa fa-arrow-circle-o-right',
									'arrow-circle-o-up' => 'fa fa-arrow-circle-o-up',
									'arrow-circle-right' => 'fa fa-arrow-circle-right',
									'arrow-circle-up' => 'fa fa-arrow-circle-up',
									'arrow-down' => 'fa fa-arrow-down',
									'arrow-left' => 'fa fa-arrow-left',
									'arrow-right' => 'fa fa-arrow-right',
									'arrow-up' => 'fa fa-arrow-up',
									'arrows' => 'fa fa-arrows',
									'arrows-alt' => 'fa fa-arrows-alt',
									'arrows-h' => 'fa fa-arrows-h',
									'arrows-v' => 'fa fa-arrows-v',
									'asl-interpreting' => 'fa fa-asl-interpreting',
									'assistive-listening-systems' => 'fa fa-assistive-listening-systems',
									'asterisk' => 'fa fa-asterisk',
									'at' => 'fa fa-at',
									'audio-description' => 'fa fa-audio-description',
									'automobile' => 'fa fa-automobile',
									'backward' => 'fa fa-backward',
									'balance-scale' => 'fa fa-balance-scale',
									'ban' => 'fa fa-ban',
									'bank' => 'fa fa-bank',
									'bar-chart' => 'fa fa-bar-chart',
									'bar-chart-o' => 'fa fa-bar-chart-o',
									'barcode' => 'fa fa-barcode',
									'bars' => 'fa fa-bars',
									'battery-0' => 'fa fa-battery-0',
									'battery-1' => 'fa fa-battery-1',
									'battery-2' => 'fa fa-battery-2',
									'battery-3' => 'fa fa-battery-3',
									'battery-4' => 'fa fa-battery-4',
									'battery-empty' => 'fa fa-battery-empty',
									'battery-full' => 'fa fa-battery-full',
									'battery-half' => 'fa fa-battery-half',
									'battery-quarter' => 'fa fa-battery-quarter',
									'battery-three-quarters' => 'fa fa-battery-three-quarters',
									'bed' => 'fa fa-bed',
									'beer' => 'fa fa-beer',
									'behance' => 'fa fa-behance',
									'behance-square' => 'fa fa-behance-square',
									'bell' => 'fa fa-bell',
									'bell-o' => 'fa fa-bell-o',
									'bell-slash' => 'fa fa-bell-slash',
									'bell-slash-o' => 'fa fa-bell-slash-o',
									'bicycle' => 'fa fa-bicycle',
									'binoculars' => 'fa fa-binoculars',
									'birthday-cake' => 'fa fa-birthday-cake',
									'bitbucket' => 'fa fa-bitbucket',
									'bitbucket-square' => 'fa fa-bitbucket-square',
									'bitcoin' => 'fa fa-bitcoin',
									'black-tie' => 'fa fa-black-tie',
									'blind' => 'fa fa-blind',
									'bluetooth' => 'fa fa-bluetooth',
									'bluetooth-b' => 'fa fa-bluetooth-b',
									'bold' => 'fa fa-bold',
									'bolt' => 'fa fa-bolt',
									'bomb' => 'fa fa-bomb',
									'book' => 'fa fa-book',
									'bookmark' => 'fa fa-bookmark',
									'bookmark-o' => 'fa fa-bookmark-o',
									'braille' => 'fa fa-braille',
									'briefcase' => 'fa fa-briefcase',
									'btc' => 'fa fa-btc',
									'bug' => 'fa fa-bug',
									'building' => 'fa fa-building',
									'building-o' => 'fa fa-building-o',
									'bullhorn' => 'fa fa-bullhorn',
									'bullseye' => 'fa fa-bullseye',
									'bus' => 'fa fa-bus',
									'buysellads' => 'fa fa-buysellads',
									'cab' => 'fa fa-cab',
									'calculator' => 'fa fa-calculator',
									'calendar' => 'fa fa-calendar',
									'calendar-check-o' => 'fa fa-calendar-check-o',
									'calendar-minus-o' => 'fa fa-calendar-minus-o',
									'calendar-o' => 'fa fa-calendar-o',
									'calendar-plus-o' => 'fa fa-calendar-plus-o',
									'calendar-times-o' => 'fa fa-calendar-times-o',
									'camera' => 'fa fa-camera',
									'camera-retro' => 'fa fa-camera-retro',
									'car' => 'fa fa-car',
									'caret-down' => 'fa fa-caret-down',
									'caret-left' => 'fa fa-caret-left',
									'caret-right' => 'fa fa-caret-right',
									'caret-square-o-down' => 'fa fa-caret-square-o-down',
									'caret-square-o-left' => 'fa fa-caret-square-o-left',
									'caret-square-o-right' => 'fa fa-caret-square-o-right',
									'caret-square-o-up' => 'fa fa-caret-square-o-up',
									'caret-up' => 'fa fa-caret-up',
									'cart-arrow-down' => 'fa fa-cart-arrow-down',
									'cart-plus' => 'fa fa-cart-plus',
									'cc' => 'fa fa-cc',
									'cc-amex' => 'fa fa-cc-amex',
									'cc-diners-club' => 'fa fa-cc-diners-club',
									'cc-discover' => 'fa fa-cc-discover',
									'cc-jcb' => 'fa fa-cc-jcb',
									'cc-mastercard' => 'fa fa-cc-mastercard',
									'cc-paypal' => 'fa fa-cc-paypal',
									'cc-stripe' => 'fa fa-cc-stripe',
									'cc-visa' => 'fa fa-cc-visa',
									'certificate' => 'fa fa-certificate',
									'chain' => 'fa fa-chain',
									'chain-broken' => 'fa fa-chain-broken',
									'check' => 'fa fa-check',
									'check-circle' => 'fa fa-check-circle',
									'check-circle-o' => 'fa fa-check-circle-o',
									'check-square' => 'fa fa-check-square',
									'check-square-o' => 'fa fa-check-square-o',
									'chevron-circle-down' => 'fa fa-chevron-circle-down',
									'chevron-circle-left' => 'fa fa-chevron-circle-left',
									'chevron-circle-right' => 'fa fa-chevron-circle-right',
									'chevron-circle-up' => 'fa fa-chevron-circle-up',
									'chevron-down' => 'fa fa-chevron-down',
									'chevron-left' => 'fa fa-chevron-left',
									'chevron-right' => 'fa fa-chevron-right',
									'chevron-up' => 'fa fa-chevron-up',
									'child' => 'fa fa-child',
									'chrome' => 'fa fa-chrome',
									'circle' => 'fa fa-circle',
									'circle-o' => 'fa fa-circle-o',
									'circle-o-notch' => 'fa fa-circle-o-notch',
									'circle-thin' => 'fa fa-circle-thin',
									'clipboard' => 'fa fa-clipboard',
									'clock-o' => 'fa fa-clock-o',
									'clone' => 'fa fa-clone',
									'close' => 'fa fa-close',
									'cloud' => 'fa fa-cloud',
									'cloud-download' => 'fa fa-cloud-download',
									'cloud-upload' => 'fa fa-cloud-upload',
									'cny' => 'fa fa-cny',
									'code' => 'fa fa-code',
									'code-fork' => 'fa fa-code-fork',
									'codepen' => 'fa fa-codepen',
									'codiepie' => 'fa fa-codiepie',
									'coffee' => 'fa fa-coffee',
									'cog' => 'fa fa-cog',
									'cogs' => 'fa fa-cogs',
									'columns' => 'fa fa-columns',
									'comment' => 'fa fa-comment',
									'comment-o' => 'fa fa-comment-o',
									'commenting' => 'fa fa-commenting',
									'commenting-o' => 'fa fa-commenting-o',
									'comments' => 'fa fa-comments',
									'comments-o' => 'fa fa-comments-o',
									'compass' => 'fa fa-compass',
									'compress' => 'fa fa-compress',
									'connectdevelop' => 'fa fa-connectdevelop',
									'contao' => 'fa fa-contao',
									'copy' => 'fa fa-copy',
									'copyright' => 'fa fa-copyright',
									'creative-commons' => 'fa fa-creative-commons',
									'credit-card' => 'fa fa-credit-card',
									'credit-card-alt' => 'fa fa-credit-card-alt',
									'crop' => 'fa fa-crop',
									'crosshairs' => 'fa fa-crosshairs',
									'css3' => 'fa fa-css3',
									'cube' => 'fa fa-cube',
									'cubes' => 'fa fa-cubes',
									'cut' => 'fa fa-cut',
									'cutlery' => 'fa fa-cutlery',
									'dashboard' => 'fa fa-dashboard',
									'dashcube' => 'fa fa-dashcube',
									'database' => 'fa fa-database',
									'deaf' => 'fa fa-deaf',
									'deafness' => 'fa fa-deafness',
									'dedent' => 'fa fa-dedent',
									'delicious' => 'fa fa-delicious',
									'desktop' => 'fa fa-desktop',
									'deviantart' => 'fa fa-deviantart',
									'diamond' => 'fa fa-diamond',
									'digg' => 'fa fa-digg',
									'dollar' => 'fa fa-dollar',
									'dot-circle-o' => 'fa fa-dot-circle-o',
									'download' => 'fa fa-download',
									'dribbble' => 'fa fa-dribbble',
									'dropbox' => 'fa fa-dropbox',
									'drupal' => 'fa fa-drupal',
									'edge' => 'fa fa-edge',
									'edit' => 'fa fa-edit',
									'eject' => 'fa fa-eject',
									'ellipsis-h' => 'fa fa-ellipsis-h',
									'ellipsis-v' => 'fa fa-ellipsis-v',
									'empire' => 'fa fa-empire',
									'envelope' => 'fa fa-envelope',
									'envelope-o' => 'fa fa-envelope-o',
									'envelope-square' => 'fa fa-envelope-square',
									'envira' => 'fa fa-envira',
									'eraser' => 'fa fa-eraser',
									'eur' => 'fa fa-eur',
									'euro' => 'fa fa-euro',
									'exchange' => 'fa fa-exchange',
									'exclamation' => 'fa fa-exclamation',
									'exclamation-circle' => 'fa fa-exclamation-circle',
									'exclamation-triangle' => 'fa fa-exclamation-triangle',
									'expand' => 'fa fa-expand',
									'expeditedssl' => 'fa fa-expeditedssl',
									'external-link' => 'fa fa-external-link',
									'external-link-square' => 'fa fa-external-link-square',
									'eye' => 'fa fa-eye',
									'eye-slash' => 'fa fa-eye-slash',
									'eyedropper' => 'fa fa-eyedropper',
									'fa' => 'fa fa-fa',
									'facebook' => 'fa fa-facebook',
									'facebook-f' => 'fa fa-facebook-f',
									'facebook-official' => 'fa fa-facebook-official',
									'facebook-square' => 'fa fa-facebook-square',
									'fast-backward' => 'fa fa-fast-backward',
									'fast-forward' => 'fa fa-fast-forward',
									'fax' => 'fa fa-fax',
									'feed' => 'fa fa-feed',
									'female' => 'fa fa-female',
									'fighter-jet' => 'fa fa-fighter-jet',
									'file' => 'fa fa-file',
									'file-archive-o' => 'fa fa-file-archive-o',
									'file-audio-o' => 'fa fa-file-audio-o',
									'file-code-o' => 'fa fa-file-code-o',
									'file-excel-o' => 'fa fa-file-excel-o',
									'file-image-o' => 'fa fa-file-image-o',
									'file-movie-o' => 'fa fa-file-movie-o',
									'file-o' => 'fa fa-file-o',
									'file-pdf-o' => 'fa fa-file-pdf-o',
									'file-photo-o' => 'fa fa-file-photo-o',
									'file-picture-o' => 'fa fa-file-picture-o',
									'file-powerpoint-o' => 'fa fa-file-powerpoint-o',
									'file-sound-o' => 'fa fa-file-sound-o',
									'file-text' => 'fa fa-file-text',
									'file-text-o' => 'fa fa-file-text-o',
									'file-video-o' => 'fa fa-file-video-o',
									'file-word-o' => 'fa fa-file-word-o',
									'file-zip-o' => 'fa fa-file-zip-o',
									'files-o' => 'fa fa-files-o',
									'film' => 'fa fa-film',
									'filter' => 'fa fa-filter',
									'fire' => 'fa fa-fire',
									'fire-extinguisher' => 'fa fa-fire-extinguisher',
									'firefox' => 'fa fa-firefox',
									'first-order' => 'fa fa-first-order',
									'flag' => 'fa fa-flag',
									'flag-checkered' => 'fa fa-flag-checkered',
									'flag-o' => 'fa fa-flag-o',
									'flash' => 'fa fa-flash',
									'flask' => 'fa fa-flask',
									'flickr' => 'fa fa-flickr',
									'floppy-o' => 'fa fa-floppy-o',
									'folder' => 'fa fa-folder',
									'folder-o' => 'fa fa-folder-o',
									'folder-open' => 'fa fa-folder-open',
									'folder-open-o' => 'fa fa-folder-open-o',
									'font' => 'fa fa-font',
									'font-awesome' => 'fa fa-font-awesome',
									'fonticons' => 'fa fa-fonticons',
									'fort-awesome' => 'fa fa-fort-awesome',
									'forumbee' => 'fa fa-forumbee',
									'forward' => 'fa fa-forward',
									'foursquare' => 'fa fa-foursquare',
									'frown-o' => 'fa fa-frown-o',
									'futbol-o' => 'fa fa-futbol-o',
									'gamepad' => 'fa fa-gamepad',
									'gavel' => 'fa fa-gavel',
									'gbp' => 'fa fa-gbp',
									'ge' => 'fa fa-ge',
									'gear' => 'fa fa-gear',
									'gears' => 'fa fa-gears',
									'genderless' => 'fa fa-genderless',
									'get-pocket' => 'fa fa-get-pocket',
									'gg' => 'fa fa-gg',
									'gg-circle' => 'fa fa-gg-circle',
									'gift' => 'fa fa-gift',
									'git' => 'fa fa-git',
									'git-square' => 'fa fa-git-square',
									'github' => 'fa fa-github',
									'github-alt' => 'fa fa-github-alt',
									'github-square' => 'fa fa-github-square',
									'gitlab' => 'fa fa-gitlab',
									'gittip' => 'fa fa-gittip',
									'glass' => 'fa fa-glass',
									'glide' => 'fa fa-glide',
									'glide-g' => 'fa fa-glide-g',
									'globe' => 'fa fa-globe',
									'google' => 'fa fa-google',
									'google-plus' => 'fa fa-google-plus',
									'google-plus-circle' => 'fa fa-google-plus-circle',
									'google-plus-official' => 'fa fa-google-plus-official',
									'google-plus-square' => 'fa fa-google-plus-square',
									'google-wallet' => 'fa fa-google-wallet',
									'graduation-cap' => 'fa fa-graduation-cap',
									'gratipay' => 'fa fa-gratipay',
									'group' => 'fa fa-group',
									'h-square' => 'fa fa-h-square',
									'hacker-news' => 'fa fa-hacker-news',
									'hand-grab-o' => 'fa fa-hand-grab-o',
									'hand-lizard-o' => 'fa fa-hand-lizard-o',
									'hand-o-down' => 'fa fa-hand-o-down',
									'hand-o-left' => 'fa fa-hand-o-left',
									'hand-o-right' => 'fa fa-hand-o-right',
									'hand-o-up' => 'fa fa-hand-o-up',
									'hand-paper-o' => 'fa fa-hand-paper-o',
									'hand-peace-o' => 'fa fa-hand-peace-o',
									'hand-pointer-o' => 'fa fa-hand-pointer-o',
									'hand-rock-o' => 'fa fa-hand-rock-o',
									'hand-scissors-o' => 'fa fa-hand-scissors-o',
									'hand-spock-o' => 'fa fa-hand-spock-o',
									'hand-stop-o' => 'fa fa-hand-stop-o',
									'hard-of-hearing' => 'fa fa-hard-of-hearing',
									'hashtag' => 'fa fa-hashtag',
									'hdd-o' => 'fa fa-hdd-o',
									'header' => 'fa fa-header',
									'headphones' => 'fa fa-headphones',
									'heart' => 'fa fa-heart',
									'heart-o' => 'fa fa-heart-o',
									'heartbeat' => 'fa fa-heartbeat',
									'history' => 'fa fa-history',
									'home' => 'fa fa-home',
									'hospital-o' => 'fa fa-hospital-o',
									'hotel' => 'fa fa-hotel',
									'hourglass' => 'fa fa-hourglass',
									'hourglass-1' => 'fa fa-hourglass-1',
									'hourglass-2' => 'fa fa-hourglass-2',
									'hourglass-3' => 'fa fa-hourglass-3',
									'hourglass-end' => 'fa fa-hourglass-end',
									'hourglass-half' => 'fa fa-hourglass-half',
									'hourglass-o' => 'fa fa-hourglass-o',
									'hourglass-start' => 'fa fa-hourglass-start',
									'houzz' => 'fa fa-houzz',
									'html5' => 'fa fa-html5',
									'i-cursor' => 'fa fa-i-cursor',
									'ils' => 'fa fa-ils',
									'image' => 'fa fa-image',
									'inbox' => 'fa fa-inbox',
									'indent' => 'fa fa-indent',
									'industry' => 'fa fa-industry',
									'info' => 'fa fa-info',
									'info-circle' => 'fa fa-info-circle',
									'inr' => 'fa fa-inr',
									'instagram' => 'fa fa-instagram',
									'institution' => 'fa fa-institution',
									'internet-explorer' => 'fa fa-internet-explorer',
									'intersex' => 'fa fa-intersex',
									'ioxhost' => 'fa fa-ioxhost',
									'italic' => 'fa fa-italic',
									'joomla' => 'fa fa-joomla',
									'jpy' => 'fa fa-jpy',
									'jsfiddle' => 'fa fa-jsfiddle',
									'key' => 'fa fa-key',
									'keyboard-o' => 'fa fa-keyboard-o',
									'krw' => 'fa fa-krw',
									'language' => 'fa fa-language',
									'laptop' => 'fa fa-laptop',
									'lastfm' => 'fa fa-lastfm',
									'lastfm-square' => 'fa fa-lastfm-square',
									'leaf' => 'fa fa-leaf',
									'leanpub' => 'fa fa-leanpub',
									'legal' => 'fa fa-legal',
									'lemon-o' => 'fa fa-lemon-o',
									'level-down' => 'fa fa-level-down',
									'level-up' => 'fa fa-level-up',
									'life-bouy' => 'fa fa-life-bouy',
									'life-buoy' => 'fa fa-life-buoy',
									'life-ring' => 'fa fa-life-ring',
									'life-saver' => 'fa fa-life-saver',
									'lightbulb-o' => 'fa fa-lightbulb-o',
									'line-chart' => 'fa fa-line-chart',
									'link' => 'fa fa-link',
									'linkedin' => 'fa fa-linkedin',
									'linkedin-square' => 'fa fa-linkedin-square',
									'linux' => 'fa fa-linux',
									'list' => 'fa fa-list',
									'list-alt' => 'fa fa-list-alt',
									'list-ol' => 'fa fa-list-ol',
									'list-ul' => 'fa fa-list-ul',
									'location-arrow' => 'fa fa-location-arrow',
									'lock' => 'fa fa-lock',
									'long-arrow-down' => 'fa fa-long-arrow-down',
									'long-arrow-left' => 'fa fa-long-arrow-left',
									'long-arrow-right' => 'fa fa-long-arrow-right',
									'long-arrow-up' => 'fa fa-long-arrow-up',
									'low-vision' => 'fa fa-low-vision',
									'magic' => 'fa fa-magic',
									'magnet' => 'fa fa-magnet',
									'mail-forward' => 'fa fa-mail-forward',
									'mail-reply' => 'fa fa-mail-reply',
									'mail-reply-all' => 'fa fa-mail-reply-all',
									'male' => 'fa fa-male',
									'map' => 'fa fa-map',
									'map-marker' => 'fa fa-map-marker',
									'map-o' => 'fa fa-map-o',
									'map-pin' => 'fa fa-map-pin',
									'map-signs' => 'fa fa-map-signs',
									'mars' => 'fa fa-mars',
									'mars-double' => 'fa fa-mars-double',
									'mars-stroke' => 'fa fa-mars-stroke',
									'mars-stroke-h' => 'fa fa-mars-stroke-h',
									'mars-stroke-v' => 'fa fa-mars-stroke-v',
									'maxcdn' => 'fa fa-maxcdn',
									'meanpath' => 'fa fa-meanpath',
									'medium' => 'fa fa-medium',
									'medkit' => 'fa fa-medkit',
									'meh-o' => 'fa fa-meh-o',
									'mercury' => 'fa fa-mercury',
									'microphone' => 'fa fa-microphone',
									'microphone-slash' => 'fa fa-microphone-slash',
									'minus' => 'fa fa-minus',
									'minus-circle' => 'fa fa-minus-circle',
									'minus-square' => 'fa fa-minus-square',
									'minus-square-o' => 'fa fa-minus-square-o',
									'mixcloud' => 'fa fa-mixcloud',
									'mobile' => 'fa fa-mobile',
									'mobile-phone' => 'fa fa-mobile-phone',
									'modx' => 'fa fa-modx',
									'money' => 'fa fa-money',
									'moon-o' => 'fa fa-moon-o',
									'mortar-board' => 'fa fa-mortar-board',
									'motorcycle' => 'fa fa-motorcycle',
									'mouse-pointer' => 'fa fa-mouse-pointer',
									'music' => 'fa fa-music',
									'navicon' => 'fa fa-navicon',
									'neuter' => 'fa fa-neuter',
									'newspaper-o' => 'fa fa-newspaper-o',
									'object-group' => 'fa fa-object-group',
									'object-ungroup' => 'fa fa-object-ungroup',
									'odnoklassniki' => 'fa fa-odnoklassniki',
									'odnoklassniki-square' => 'fa fa-odnoklassniki-square',
									'opencart' => 'fa fa-opencart',
									'openid' => 'fa fa-openid',
									'opera' => 'fa fa-opera',
									'optin-monster' => 'fa fa-optin-monster',
									'outdent' => 'fa fa-outdent',
									'pagelines' => 'fa fa-pagelines',
									'paint-brush' => 'fa fa-paint-brush',
									'paper-plane' => 'fa fa-paper-plane',
									'paper-plane-o' => 'fa fa-paper-plane-o',
									'paperclip' => 'fa fa-paperclip',
									'paragraph' => 'fa fa-paragraph',
									'paste' => 'fa fa-paste',
									'pause' => 'fa fa-pause',
									'pause-circle' => 'fa fa-pause-circle',
									'pause-circle-o' => 'fa fa-pause-circle-o',
									'paw' => 'fa fa-paw',
									'paypal' => 'fa fa-paypal',
									'pencil' => 'fa fa-pencil',
									'pencil-square' => 'fa fa-pencil-square',
									'pencil-square-o' => 'fa fa-pencil-square-o',
									'percent' => 'fa fa-percent',
									'phone' => 'fa fa-phone',
									'phone-square' => 'fa fa-phone-square',
									'photo' => 'fa fa-photo',
									'picture-o' => 'fa fa-picture-o',
									'pie-chart' => 'fa fa-pie-chart',
									'pied-piper' => 'fa fa-pied-piper',
									'pied-piper-alt' => 'fa fa-pied-piper-alt',
									'pied-piper-pp' => 'fa fa-pied-piper-pp',
									'pinterest' => 'fa fa-pinterest',
									'pinterest-p' => 'fa fa-pinterest-p',
									'pinterest-square' => 'fa fa-pinterest-square',
									'plane' => 'fa fa-plane',
									'play' => 'fa fa-play',
									'play-circle' => 'fa fa-play-circle',
									'play-circle-o' => 'fa fa-play-circle-o',
									'plug' => 'fa fa-plug',
									'plus' => 'fa fa-plus',
									'plus-circle' => 'fa fa-plus-circle',
									'plus-square' => 'fa fa-plus-square',
									'plus-square-o' => 'fa fa-plus-square-o',
									'power-off' => 'fa fa-power-off',
									'print' => 'fa fa-print',
									'product-hunt' => 'fa fa-product-hunt',
									'puzzle-piece' => 'fa fa-puzzle-piece',
									'qq' => 'fa fa-qq',
									'qrcode' => 'fa fa-qrcode',
									'question' => 'fa fa-question',
									'question-circle' => 'fa fa-question-circle',
									'question-circle-o' => 'fa fa-question-circle-o',
									'quote-left' => 'fa fa-quote-left',
									'quote-right' => 'fa fa-quote-right',
									'ra' => 'fa fa-ra',
									'random' => 'fa fa-random',
									'rebel' => 'fa fa-rebel',
									'recycle' => 'fa fa-recycle',
									'reddit' => 'fa fa-reddit',
									'reddit-alien' => 'fa fa-reddit-alien',
									'reddit-square' => 'fa fa-reddit-square',
									'refresh' => 'fa fa-refresh',
									'registered' => 'fa fa-registered',
									'remove' => 'fa fa-remove',
									'renren' => 'fa fa-renren',
									'reorder' => 'fa fa-reorder',
									'repeat' => 'fa fa-repeat',
									'reply' => 'fa fa-reply',
									'reply-all' => 'fa fa-reply-all',
									'resistance' => 'fa fa-resistance',
									'retweet' => 'fa fa-retweet',
									'rmb' => 'fa fa-rmb',
									'road' => 'fa fa-road',
									'rocket' => 'fa fa-rocket',
									'rotate-left' => 'fa fa-rotate-left',
									'rotate-right' => 'fa fa-rotate-right',
									'rouble' => 'fa fa-rouble',
									'rss' => 'fa fa-rss',
									'rss-square' => 'fa fa-rss-square',
									'rub' => 'fa fa-rub',
									'ruble' => 'fa fa-ruble',
									'rupee' => 'fa fa-rupee',
									'safari' => 'fa fa-safari',
									'save' => 'fa fa-save',
									'scissors' => 'fa fa-scissors',
									'scribd' => 'fa fa-scribd',
									'search' => 'fa fa-search',
									'search-minus' => 'fa fa-search-minus',
									'search-plus' => 'fa fa-search-plus',
									'sellsy' => 'fa fa-sellsy',
									'send' => 'fa fa-send',
									'send-o' => 'fa fa-send-o',
									'server' => 'fa fa-server',
									'share' => 'fa fa-share',
									'share-alt' => 'fa fa-share-alt',
									'share-alt-square' => 'fa fa-share-alt-square',
									'share-square' => 'fa fa-share-square',
									'share-square-o' => 'fa fa-share-square-o',
									'shekel' => 'fa fa-shekel',
									'sheqel' => 'fa fa-sheqel',
									'shield' => 'fa fa-shield',
									'ship' => 'fa fa-ship',
									'shirtsinbulk' => 'fa fa-shirtsinbulk',
									'shopping-bag' => 'fa fa-shopping-bag',
									'shopping-basket' => 'fa fa-shopping-basket',
									'shopping-cart' => 'fa fa-shopping-cart',
									'sign-in' => 'fa fa-sign-in',
									'sign-language' => 'fa fa-sign-language',
									'sign-out' => 'fa fa-sign-out',
									'signal' => 'fa fa-signal',
									'signing' => 'fa fa-signing',
									'simplybuilt' => 'fa fa-simplybuilt',
									'sitemap' => 'fa fa-sitemap',
									'skyatlas' => 'fa fa-skyatlas',
									'skype' => 'fa fa-skype',
									'slack' => 'fa fa-slack',
									'sliders' => 'fa fa-sliders',
									'slideshare' => 'fa fa-slideshare',
									'smile-o' => 'fa fa-smile-o',
									'snapchat' => 'fa fa-snapchat',
									'snapchat-ghost' => 'fa fa-snapchat-ghost',
									'snapchat-square' => 'fa fa-snapchat-square',
									'soccer-ball-o' => 'fa fa-soccer-ball-o',
									'sort' => 'fa fa-sort',
									'sort-alpha-asc' => 'fa fa-sort-alpha-asc',
									'sort-alpha-desc' => 'fa fa-sort-alpha-desc',
									'sort-amount-asc' => 'fa fa-sort-amount-asc',
									'sort-amount-desc' => 'fa fa-sort-amount-desc',
									'sort-asc' => 'fa fa-sort-asc',
									'sort-desc' => 'fa fa-sort-desc',
									'sort-down' => 'fa fa-sort-down',
									'sort-numeric-asc' => 'fa fa-sort-numeric-asc',
									'sort-numeric-desc' => 'fa fa-sort-numeric-desc',
									'sort-up' => 'fa fa-sort-up',
									'soundcloud' => 'fa fa-soundcloud',
									'space-shuttle' => 'fa fa-space-shuttle',
									'spinner' => 'fa fa-spinner',
									'spoon' => 'fa fa-spoon',
									'spotify' => 'fa fa-spotify',
									'square' => 'fa fa-square',
									'square-o' => 'fa fa-square-o',
									'stack-exchange' => 'fa fa-stack-exchange',
									'stack-overflow' => 'fa fa-stack-overflow',
									'star' => 'fa fa-star',
									'star-half' => 'fa fa-star-half',
									'star-half-empty' => 'fa fa-star-half-empty',
									'star-half-full' => 'fa fa-star-half-full',
									'star-half-o' => 'fa fa-star-half-o',
									'star-o' => 'fa fa-star-o',
									'steam' => 'fa fa-steam',
									'steam-square' => 'fa fa-steam-square',
									'step-backward' => 'fa fa-step-backward',
									'step-forward' => 'fa fa-step-forward',
									'stethoscope' => 'fa fa-stethoscope',
									'sticky-note' => 'fa fa-sticky-note',
									'sticky-note-o' => 'fa fa-sticky-note-o',
									'stop' => 'fa fa-stop',
									'stop-circle' => 'fa fa-stop-circle',
									'stop-circle-o' => 'fa fa-stop-circle-o',
									'street-view' => 'fa fa-street-view',
									'strikethrough' => 'fa fa-strikethrough',
									'stumbleupon' => 'fa fa-stumbleupon',
									'stumbleupon-circle' => 'fa fa-stumbleupon-circle',
									'subscript' => 'fa fa-subscript',
									'subway' => 'fa fa-subway',
									'suitcase' => 'fa fa-suitcase',
									'sun-o' => 'fa fa-sun-o',
									'superscript' => 'fa fa-superscript',
									'support' => 'fa fa-support',
									'table' => 'fa fa-table',
									'tablet' => 'fa fa-tablet',
									'tachometer' => 'fa fa-tachometer',
									'tag' => 'fa fa-tag',
									'tags' => 'fa fa-tags',
									'tasks' => 'fa fa-tasks',
									'taxi' => 'fa fa-taxi',
									'television' => 'fa fa-television',
									'tencent-weibo' => 'fa fa-tencent-weibo',
									'terminal' => 'fa fa-terminal',
									'text-height' => 'fa fa-text-height',
									'text-width' => 'fa fa-text-width',
									'th' => 'fa fa-th',
									'th-large' => 'fa fa-th-large',
									'th-list' => 'fa fa-th-list',
									'themeisle' => 'fa fa-themeisle',
									'thumb-tack' => 'fa fa-thumb-tack',
									'thumbs-down' => 'fa fa-thumbs-down',
									'thumbs-o-down' => 'fa fa-thumbs-o-down',
									'thumbs-o-up' => 'fa fa-thumbs-o-up',
									'thumbs-up' => 'fa fa-thumbs-up',
									'ticket' => 'fa fa-ticket',
									'times' => 'fa fa-times',
									'times-circle' => 'fa fa-times-circle',
									'times-circle-o' => 'fa fa-times-circle-o',
									'tint' => 'fa fa-tint',
									'toggle-down' => 'fa fa-toggle-down',
									'toggle-left' => 'fa fa-toggle-left',
									'toggle-off' => 'fa fa-toggle-off',
									'toggle-on' => 'fa fa-toggle-on',
									'toggle-right' => 'fa fa-toggle-right',
									'toggle-up' => 'fa fa-toggle-up',
									'trademark' => 'fa fa-trademark',
									'train' => 'fa fa-train',
									'transgender' => 'fa fa-transgender',
									'transgender-alt' => 'fa fa-transgender-alt',
									'trash' => 'fa fa-trash',
									'trash-o' => 'fa fa-trash-o',
									'tree' => 'fa fa-tree',
									'trello' => 'fa fa-trello',
									'tripadvisor' => 'fa fa-tripadvisor',
									'trophy' => 'fa fa-trophy',
									'truck' => 'fa fa-truck',
									'try' => 'fa fa-try',
									'tty' => 'fa fa-tty',
									'tumblr' => 'fa fa-tumblr',
									'tumblr-square' => 'fa fa-tumblr-square',
									'turkish-lira' => 'fa fa-turkish-lira',
									'tv' => 'fa fa-tv',
									'twitch' => 'fa fa-twitch',
									'twitter' => 'fa fa-twitter',
									'twitter-square' => 'fa fa-twitter-square',
									'umbrella' => 'fa fa-umbrella',
									'underline' => 'fa fa-underline',
									'undo' => 'fa fa-undo',
									'universal-access' => 'fa fa-universal-access',
									'university' => 'fa fa-university',
									'unlink' => 'fa fa-unlink',
									'unlock' => 'fa fa-unlock',
									'unlock-alt' => 'fa fa-unlock-alt',
									'unsorted' => 'fa fa-unsorted',
									'upload' => 'fa fa-upload',
									'usb' => 'fa fa-usb',
									'usd' => 'fa fa-usd',
									'user' => 'fa fa-user',
									'user-md' => 'fa fa-user-md',
									'user-plus' => 'fa fa-user-plus',
									'user-secret' => 'fa fa-user-secret',
									'user-times' => 'fa fa-user-times',
									'users' => 'fa fa-users',
									'venus' => 'fa fa-venus',
									'venus-double' => 'fa fa-venus-double',
									'venus-mars' => 'fa fa-venus-mars',
									'viacoin' => 'fa fa-viacoin',
									'viadeo' => 'fa fa-viadeo',
									'viadeo-square' => 'fa fa-viadeo-square',
									'video-camera' => 'fa fa-video-camera',
									'vimeo' => 'fa fa-vimeo',
									'vimeo-square' => 'fa fa-vimeo-square',
									'vine' => 'fa fa-vine',
									'vk' => 'fa fa-vk',
									'volume-control-phone' => 'fa fa-volume-control-phone',
									'volume-down' => 'fa fa-volume-down',
									'volume-off' => 'fa fa-volume-off',
									'volume-up' => 'fa fa-volume-up',
									'warning' => 'fa fa-warning',
									'wechat' => 'fa fa-wechat',
									'weibo' => 'fa fa-weibo',
									'weixin' => 'fa fa-weixin',
									'whatsapp' => 'fa fa-whatsapp',
									'wheelchair' => 'fa fa-wheelchair',
									'wheelchair-alt' => 'fa fa-wheelchair-alt',
									'wifi' => 'fa fa-wifi',
									'wikipedia-w' => 'fa fa-wikipedia-w',
									'windows' => 'fa fa-windows',
									'won' => 'fa fa-won',
									'wordpress' => 'fa fa-wordpress',
									'wpbeginner' => 'fa fa-wpbeginner',
									'wpforms' => 'fa fa-wpforms',
									'wrench' => 'fa fa-wrench',
									'xing' => 'fa fa-xing',
									'xing-square' => 'fa fa-xing-square',
									'y-combinator' => 'fa fa-y-combinator',
									'y-combinator-square' => 'fa fa-y-combinator-square',
									'yahoo' => 'fa fa-yahoo',
									'yc' => 'fa fa-yc',
									'yc-square' => 'fa fa-yc-square',
									'yelp' => 'fa fa-yelp',
									'yen' => 'fa fa-yen',
									'yoast' => 'fa fa-yoast',
									'youtube' => 'fa fa-youtube',
									'youtube-play' => 'fa fa-youtube-play',
									'youtube-square' => 'fa fa-youtube-square'
								)
		);
	}

	public function dashicons(){
		return array(
			'css_path' 			=> false,
			'always_enqueue'   	=> false,
			'check_if_enqueued' => false,
			'class_check'		=> 'dashicons',
			'icons' 			=> array(
									'menu' => 'dashicons dashicons-menu',
									'admin-site' => 'dashicons dashicons-admin-site',
									'dashboard' => 'dashicons dashicons-dashboard',
									'admin-post' => 'dashicons dashicons-admin-post',
									'admin-media' => 'dashicons dashicons-admin-media',
									'admin-links' => 'dashicons dashicons-admin-links',
									'admin-page' => 'dashicons dashicons-admin-page',
									'admin-comments' => 'dashicons dashicons-admin-comments',
									'admin-appearance' => 'dashicons dashicons-admin-appearance',
									'admin-plugins' => 'dashicons dashicons-admin-plugins',
									'admin-users' => 'dashicons dashicons-admin-users',
									'admin-tools' => 'dashicons dashicons-admin-tools',
									'admin-settings' => 'dashicons dashicons-admin-settings',
									'admin-network' => 'dashicons dashicons-admin-network',
									'admin-home' => 'dashicons dashicons-admin-home',
									'admin-generic' => 'dashicons dashicons-admin-generic',
									'admin-collapse' => 'dashicons dashicons-admin-collapse',
									'filter' => 'dashicons dashicons-filter',
									'admin-customizer' => 'dashicons dashicons-admin-customizer',
									'admin-multisite' => 'dashicons dashicons-admin-multisite',
									'welcome-write-blog' => 'dashicons dashicons-welcome-write-blog',
									'welcome-add-page' => 'dashicons dashicons-welcome-add-page',
									'welcome-view-site' => 'dashicons dashicons-welcome-view-site',
									'welcome-widgets-menus' => 'dashicons dashicons-welcome-widgets-menus',
									'welcome-comments' => 'dashicons dashicons-welcome-comments',
									'welcome-learn-more' => 'dashicons dashicons-welcome-learn-more',
									'format-aside' => 'dashicons dashicons-format-aside',
									'format-image' => 'dashicons dashicons-format-image',
									'format-gallery' => 'dashicons dashicons-format-gallery',
									'format-video' => 'dashicons dashicons-format-video',
									'format-status' => 'dashicons dashicons-format-status',
									'format-quote' => 'dashicons dashicons-format-quote',
									'format-chat' => 'dashicons dashicons-format-chat',
									'format-audio' => 'dashicons dashicons-format-audio',
									'camera' => 'dashicons dashicons-camera',
									'images-alt' => 'dashicons dashicons-images-alt',
									'images-alt2' => 'dashicons dashicons-images-alt2',
									'video-alt' => 'dashicons dashicons-video-alt',
									'video-alt2' => 'dashicons dashicons-video-alt2',
									'video-alt3' => 'dashicons dashicons-video-alt3',
									'media-archive' => 'dashicons dashicons-media-archive',
									'media-audio' => 'dashicons dashicons-media-audio',
									'media-code' => 'dashicons dashicons-media-code',
									'media-default' => 'dashicons dashicons-media-default',
									'media-document' => 'dashicons dashicons-media-document',
									'media-interactive' => 'dashicons dashicons-media-interactive',
									'media-spreadsheet' => 'dashicons dashicons-media-spreadsheet',
									'media-text' => 'dashicons dashicons-media-text',
									'media-video' => 'dashicons dashicons-media-video',
									'playlist-audio' => 'dashicons dashicons-playlist-audio',
									'playlist-video' => 'dashicons dashicons-playlist-video',
									'controls-play' => 'dashicons dashicons-controls-play',
									'controls-pause' => 'dashicons dashicons-controls-pause',
									'controls-forward' => 'dashicons dashicons-controls-forward',
									'controls-skipforward' => 'dashicons dashicons-controls-skipforward',
									'controls-back' => 'dashicons dashicons-controls-back',
									'controls-skipback' => 'dashicons dashicons-controls-skipback',
									'controls-repeat' => 'dashicons dashicons-controls-repeat',
									'controls-volumeon' => 'dashicons dashicons-controls-volumeon',
									'controls-volumeoff' => 'dashicons dashicons-controls-volumeoff',
									'image-crop' => 'dashicons dashicons-image-crop',
									'image-rotate' => 'dashicons dashicons-image-rotate',
									'image-rotate-left' => 'dashicons dashicons-image-rotate-left',
									'image-rotate-right' => 'dashicons dashicons-image-rotate-right',
									'image-flip-vertical' => 'dashicons dashicons-image-flip-vertical',
									'image-flip-horizontal' => 'dashicons dashicons-image-flip-horizontal',
									'image-filter' => 'dashicons dashicons-image-filter',
									'undo' => 'dashicons dashicons-undo',
									'redo' => 'dashicons dashicons-redo',
									'editor-bold' => 'dashicons dashicons-editor-bold',
									'editor-italic' => 'dashicons dashicons-editor-italic',
									'editor-ul' => 'dashicons dashicons-editor-ul',
									'editor-ol' => 'dashicons dashicons-editor-ol',
									'editor-quote' => 'dashicons dashicons-editor-quote',
									'editor-alignleft' => 'dashicons dashicons-editor-alignleft',
									'editor-aligncenter' => 'dashicons dashicons-editor-aligncenter',
									'editor-alignright' => 'dashicons dashicons-editor-alignright',
									'editor-insertmore' => 'dashicons dashicons-editor-insertmore',
									'editor-spellcheck' => 'dashicons dashicons-editor-spellcheck',
									'editor-expand' => 'dashicons dashicons-editor-expand',
									'editor-contract' => 'dashicons dashicons-editor-contract',
									'editor-kitchensink' => 'dashicons dashicons-editor-kitchensink',
									'editor-underline' => 'dashicons dashicons-editor-underline',
									'editor-justify' => 'dashicons dashicons-editor-justify',
									'editor-textcolor' => 'dashicons dashicons-editor-textcolor',
									'editor-paste-word' => 'dashicons dashicons-editor-paste-word',
									'editor-paste-text' => 'dashicons dashicons-editor-paste-text',
									'editor-removeformatting' => 'dashicons dashicons-editor-removeformatting',
									'editor-video' => 'dashicons dashicons-editor-video',
									'editor-customchar' => 'dashicons dashicons-editor-customchar',
									'editor-outdent' => 'dashicons dashicons-editor-outdent',
									'editor-indent' => 'dashicons dashicons-editor-indent',
									'editor-help' => 'dashicons dashicons-editor-help',
									'editor-strikethrough' => 'dashicons dashicons-editor-strikethrough',
									'editor-unlink' => 'dashicons dashicons-editor-unlink',
									'editor-rtl' => 'dashicons dashicons-editor-rtl',
									'editor-break' => 'dashicons dashicons-editor-break',
									'editor-code' => 'dashicons dashicons-editor-code',
									'editor-paragraph' => 'dashicons dashicons-editor-paragraph',
									'editor-table' => 'dashicons dashicons-editor-table',
									'align-left' => 'dashicons dashicons-align-left',
									'align-right' => 'dashicons dashicons-align-right',
									'align-center' => 'dashicons dashicons-align-center',
									'align-none' => 'dashicons dashicons-align-none',
									'lock' => 'dashicons dashicons-lock',
									'unlock' => 'dashicons dashicons-unlock',
									'calendar' => 'dashicons dashicons-calendar',
									'calendar-alt' => 'dashicons dashicons-calendar-alt',
									'visibility' => 'dashicons dashicons-visibility',
									'hidden' => 'dashicons dashicons-hidden',
									'post-status' => 'dashicons dashicons-post-status',
									'edit' => 'dashicons dashicons-edit',
									'trash' => 'dashicons dashicons-trash',
									'sticky' => 'dashicons dashicons-sticky',
									'external' => 'dashicons dashicons-external',
									'arrow-up' => 'dashicons dashicons-arrow-up',
									'arrow-down' => 'dashicons dashicons-arrow-down',
									'arrow-right' => 'dashicons dashicons-arrow-right',
									'arrow-left' => 'dashicons dashicons-arrow-left',
									'arrow-up-alt' => 'dashicons dashicons-arrow-up-alt',
									'arrow-down-alt' => 'dashicons dashicons-arrow-down-alt',
									'arrow-right-alt' => 'dashicons dashicons-arrow-right-alt',
									'arrow-left-alt' => 'dashicons dashicons-arrow-left-alt',
									'arrow-up-alt2' => 'dashicons dashicons-arrow-up-alt2',
									'arrow-down-alt2' => 'dashicons dashicons-arrow-down-alt2',
									'arrow-right-alt2' => 'dashicons dashicons-arrow-right-alt2',
									'arrow-left-alt2' => 'dashicons dashicons-arrow-left-alt2',
									'sort' => 'dashicons dashicons-sort',
									'leftright' => 'dashicons dashicons-leftright',
									'randomize' => 'dashicons dashicons-randomize',
									'list-view' => 'dashicons dashicons-list-view',
									'exerpt-view' => 'dashicons dashicons-exerpt-view',
									'grid-view' => 'dashicons dashicons-grid-view',
									'move' => 'dashicons dashicons-move',
									'share' => 'dashicons dashicons-share',
									'share-alt' => 'dashicons dashicons-share-alt',
									'share-alt2' => 'dashicons dashicons-share-alt2',
									'twitter' => 'dashicons dashicons-twitter',
									'rss' => 'dashicons dashicons-rss',
									'email' => 'dashicons dashicons-email',
									'email-alt' => 'dashicons dashicons-email-alt',
									'facebook' => 'dashicons dashicons-facebook',
									'facebook-alt' => 'dashicons dashicons-facebook-alt',
									'googleplus' => 'dashicons dashicons-googleplus',
									'networking' => 'dashicons dashicons-networking',
									'hammer' => 'dashicons dashicons-hammer',
									'art' => 'dashicons dashicons-art',
									'migrate' => 'dashicons dashicons-migrate',
									'performance' => 'dashicons dashicons-performance',
									'universal-access' => 'dashicons dashicons-universal-access',
									'universal-access-alt' => 'dashicons dashicons-universal-access-alt',
									'tickets' => 'dashicons dashicons-tickets',
									'nametag' => 'dashicons dashicons-nametag',
									'clipboard' => 'dashicons dashicons-clipboard',
									'heart' => 'dashicons dashicons-heart',
									'megaphone' => 'dashicons dashicons-megaphone',
									'schedule' => 'dashicons dashicons-schedule',
									'wordpress' => 'dashicons dashicons-wordpress',
									'wordpress-alt' => 'dashicons dashicons-wordpress-alt',
									'pressthis' => 'dashicons dashicons-pressthis',
									'update' => 'dashicons dashicons-update',
									'screenoptions' => 'dashicons dashicons-screenoptions',
									'info' => 'dashicons dashicons-info',
									'cart' => 'dashicons dashicons-cart',
									'feedback' => 'dashicons dashicons-feedback',
									'cloud' => 'dashicons dashicons-cloud',
									'translation' => 'dashicons dashicons-translation',
									'tag' => 'dashicons dashicons-tag',
									'category' => 'dashicons dashicons-category',
									'archive' => 'dashicons dashicons-archive',
									'tagcloud' => 'dashicons dashicons-tagcloud',
									'text' => 'dashicons dashicons-text',
									'yes' => 'dashicons dashicons-yes',
									'no' => 'dashicons dashicons-no',
									'no-alt' => 'dashicons dashicons-no-alt',
									'plus' => 'dashicons dashicons-plus',
									'plus-alt' => 'dashicons dashicons-plus-alt',
									'minus' => 'dashicons dashicons-minus',
									'dismiss' => 'dashicons dashicons-dismiss',
									'marker' => 'dashicons dashicons-marker',
									'star-filled' => 'dashicons dashicons-star-filled',
									'star-half' => 'dashicons dashicons-star-half',
									'star-empty' => 'dashicons dashicons-star-empty',
									'flag' => 'dashicons dashicons-flag',
									'warning' => 'dashicons dashicons-warning',
									'location' => 'dashicons dashicons-location',
									'location-alt' => 'dashicons dashicons-location-alt',
									'vault' => 'dashicons dashicons-vault',
									'shield' => 'dashicons dashicons-shield',
									'shield-alt' => 'dashicons dashicons-shield-alt',
									'sos' => 'dashicons dashicons-sos',
									'search' => 'dashicons dashicons-search',
									'slides' => 'dashicons dashicons-slides',
									'analytics' => 'dashicons dashicons-analytics',
									'chart-pie' => 'dashicons dashicons-chart-pie',
									'chart-bar' => 'dashicons dashicons-chart-bar',
									'chart-line' => 'dashicons dashicons-chart-line',
									'chart-area' => 'dashicons dashicons-chart-area',
									'groups' => 'dashicons dashicons-groups',
									'businessman' => 'dashicons dashicons-businessman',
									'id' => 'dashicons dashicons-id',
									'id-alt' => 'dashicons dashicons-id-alt',
									'products' => 'dashicons dashicons-products',
									'awards' => 'dashicons dashicons-awards',
									'forms' => 'dashicons dashicons-forms',
									'testimonial' => 'dashicons dashicons-testimonial',
									'portfolio' => 'dashicons dashicons-portfolio',
									'book' => 'dashicons dashicons-book',
									'book-alt' => 'dashicons dashicons-book-alt',
									'download' => 'dashicons dashicons-download',
									'upload' => 'dashicons dashicons-upload',
									'backup' => 'dashicons dashicons-backup',
									'clock' => 'dashicons dashicons-clock',
									'lightbulb' => 'dashicons dashicons-lightbulb',
									'microphone' => 'dashicons dashicons-microphone',
									'desktop' => 'dashicons dashicons-desktop',
									'laptop' => 'dashicons dashicons-laptop',
									'tablet' => 'dashicons dashicons-tablet',
									'smartphone' => 'dashicons dashicons-smartphone',
									'phone' => 'dashicons dashicons-phone',
									'index-card' => 'dashicons dashicons-index-card',
									'carrot' => 'dashicons dashicons-carrot',
									'building' => 'dashicons dashicons-building',
									'store' => 'dashicons dashicons-store',
									'album' => 'dashicons dashicons-album',
									'palmtree' => 'dashicons dashicons-palmtree',
									'tickets-alt' => 'dashicons dashicons-tickets-alt',
									'money' => 'dashicons dashicons-money',
									'smiley' => 'dashicons dashicons-smiley',
									'thumbs-up' => 'dashicons dashicons-thumbs-up',
									'thumbs-down' => 'dashicons dashicons-thumbs-down',
									'layout' => 'dashicons dashicons-layout',
									'paperclip' => 'dashicons dashicons-paperclip'
								)
		);
	}

	public function themify(){
		return array(
			'css_path' 			=> PTPB()->plugin_url() . '/assets/plugins/themify-icons/themify-icons.css',
			'always_enqueue'   	=> false,
			'check_if_enqueued' => true,
			'class_check'		=> 'ti-',
			'icons' 			=> array(
									'agenda' => 'ti-agenda',
									'alarm-clock' => 'ti-alarm-clock',
									'alert' => 'ti-alert',
									'align-center' => 'ti-align-center',
									'align-justify' => 'ti-align-justify',
									'align-left' => 'ti-align-left',
									'align-right' => 'ti-align-right',
									'anchor' => 'ti-anchor',
									'android' => 'ti-android',
									'angle-double-down' => 'ti-angle-double-down',
									'angle-double-left' => 'ti-angle-double-left',
									'angle-double-right' => 'ti-angle-double-right',
									'angle-double-up' => 'ti-angle-double-up',
									'angle-down' => 'ti-angle-down',
									'angle-left' => 'ti-angle-left',
									'angle-right' => 'ti-angle-right',
									'angle-up' => 'ti-angle-up',
									'announcement' => 'ti-announcement',
									'apple' => 'ti-apple',
									'archive' => 'ti-archive',
									'arrow-circle-down' => 'ti-arrow-circle-down',
									'arrow-circle-left' => 'ti-arrow-circle-left',
									'arrow-circle-right' => 'ti-arrow-circle-right',
									'arrow-circle-up' => 'ti-arrow-circle-up',
									'arrow-down' => 'ti-arrow-down',
									'arrow-left' => 'ti-arrow-left',
									'arrow-right' => 'ti-arrow-right',
									'arrow-top-left' => 'ti-arrow-top-left',
									'arrow-top-right' => 'ti-arrow-top-right',
									'arrow-up' => 'ti-arrow-up',
									'arrows-corner' => 'ti-arrows-corner',
									'arrows-horizontal' => 'ti-arrows-horizontal',
									'arrows-vertical' => 'ti-arrows-vertical',
									'back-left' => 'ti-back-left',
									'back-right' => 'ti-back-right',
									'bag' => 'ti-bag',
									'bar-chart-alt' => 'ti-bar-chart-alt',
									'bar-chart' => 'ti-bar-chart',
									'basketball' => 'ti-basketball',
									'bell' => 'ti-bell',
									'blackboard' => 'ti-blackboard',
									'bolt-alt' => 'ti-bolt-alt',
									'bolt' => 'ti-bolt',
									'book' => 'ti-book',
									'bookmark-alt' => 'ti-bookmark-alt',
									'bookmark' => 'ti-bookmark',
									'briefcase' => 'ti-briefcase',
									'brush-alt' => 'ti-brush-alt',
									'brush' => 'ti-brush',
									'calendar' => 'ti-calendar',
									'camera' => 'ti-camera',
									'car' => 'ti-car',
									'check-box' => 'ti-check-box',
									'check' => 'ti-check',
									'clip' => 'ti-clip',
									'clipboard' => 'ti-clipboard',
									'close' => 'ti-close',
									'cloud-down' => 'ti-cloud-down',
									'cloud-up' => 'ti-cloud-up',
									'cloud' => 'ti-cloud',
									'comment-alt' => 'ti-comment-alt',
									'comment' => 'ti-comment',
									'comments-smiley' => 'ti-comments-smiley',
									'comments' => 'ti-comments',
									'control-backward' => 'ti-control-backward',
									'control-eject' => 'ti-control-eject',
									'control-forward' => 'ti-control-forward',
									'control-pause' => 'ti-control-pause',
									'control-play' => 'ti-control-play',
									'control-record' => 'ti-control-record',
									'control-shuffle' => 'ti-control-shuffle',
									'control-skip-backward' => 'ti-control-skip-backward',
									'control-skip-forward' => 'ti-control-skip-forward',
									'control-stop' => 'ti-control-stop',
									'credit-card' => 'ti-credit-card',
									'crown' => 'ti-crown',
									'css3' => 'ti-css3',
									'cup' => 'ti-cup',
									'cut' => 'ti-cut',
									'dashboard' => 'ti-dashboard',
									'desktop' => 'ti-desktop',
									'direction-alt' => 'ti-direction-alt',
									'direction' => 'ti-direction',
									'download' => 'ti-download',
									'dribbble' => 'ti-dribbble',
									'dropbox-alt' => 'ti-dropbox-alt',
									'dropbox' => 'ti-dropbox',
									'drupal' => 'ti-drupal',
									'email' => 'ti-email',
									'envelope' => 'ti-envelope',
									'eraser' => 'ti-eraser',
									'exchange-vertical' => 'ti-exchange-vertical',
									'export' => 'ti-export',
									'eye' => 'ti-eye',
									'face-sad' => 'ti-face-sad',
									'face-smile' => 'ti-face-smile',
									'facebook' => 'ti-facebook',
									'file' => 'ti-file',
									'files' => 'ti-files',
									'filter' => 'ti-filter',
									'flag-alt-2' => 'ti-flag-alt-2',
									'flag-alt' => 'ti-flag-alt',
									'flag' => 'ti-flag',
									'flickr-alt' => 'ti-flickr-alt',
									'flickr' => 'ti-flickr',
									'folder' => 'ti-folder',
									'fullscreen' => 'ti-fullscreen',
									'gallery' => 'ti-gallery',
									'game' => 'ti-game',
									'gift' => 'ti-gift',
									'github' => 'ti-github',
									'google' => 'ti-google',
									'hand-drag' => 'ti-hand-drag',
									'hand-open' => 'ti-hand-open',
									'hand-point-down' => 'ti-hand-point-down',
									'hand-point-left' => 'ti-hand-point-left',
									'hand-point-right' => 'ti-hand-point-right',
									'hand-point-up' => 'ti-hand-point-up',
									'hand-stop' => 'ti-hand-stop',
									'harddrive' => 'ti-harddrive',
									'harddrives' => 'ti-harddrives',
									'headphone-alt' => 'ti-headphone-alt',
									'headphone' => 'ti-headphone',
									'heart-broken' => 'ti-heart-broken',
									'heart' => 'ti-heart',
									'help-alt' => 'ti-help-alt',
									'help' => 'ti-help',
									'home' => 'ti-home',
									'html5' => 'ti-html5',
									'hummer' => 'ti-hummer',
									'id-badge' => 'ti-id-badge',
									'image' => 'ti-image',
									'import' => 'ti-import',
									'infinite' => 'ti-infinite',
									'info-alt' => 'ti-info-alt',
									'info' => 'ti-info',
									'ink-pen' => 'ti-ink-pen',
									'instagram' => 'ti-instagram',
									'Italic' => 'ti-Italic',
									'joomla' => 'ti-joomla',
									'jsfiddle' => 'ti-jsfiddle',
									'key' => 'ti-key',
									'layers-alt' => 'ti-layers-alt',
									'layers' => 'ti-layers',
									'layout-accordion-list' => 'ti-layout-accordion-list',
									'layout-accordion-merged' => 'ti-layout-accordion-merged',
									'layout-accordion-separated' => 'ti-layout-accordion-separated',
									'layout-column2-alt' => 'ti-layout-column2-alt',
									'layout-column2' => 'ti-layout-column2',
									'layout-column3-alt' => 'ti-layout-column3-alt',
									'layout-column3' => 'ti-layout-column3',
									'layout-column4-alt' => 'ti-layout-column4-alt',
									'layout-column4' => 'ti-layout-column4',
									'layout-cta-btn-left' => 'ti-layout-cta-btn-left',
									'layout-cta-btn-right' => 'ti-layout-cta-btn-right',
									'layout-cta-center' => 'ti-layout-cta-center',
									'layout-cta-left' => 'ti-layout-cta-left',
									'layout-cta-right' => 'ti-layout-cta-right',
									'layout-grid2-alt' => 'ti-layout-grid2-alt',
									'layout-grid2-thumb' => 'ti-layout-grid2-thumb',
									'layout-grid2' => 'ti-layout-grid2',
									'layout-grid3-alt' => 'ti-layout-grid3-alt',
									'layout-grid3' => 'ti-layout-grid3',
									'layout-grid4-alt' => 'ti-layout-grid4-alt',
									'layout-grid4' => 'ti-layout-grid4',
									'layout-line-solid' => 'ti-layout-line-solid',
									'layout-list-large-image' => 'ti-layout-list-large-image',
									'layout-list-post' => 'ti-layout-list-post',
									'layout-list-thumb-alt' => 'ti-layout-list-thumb-alt',
									'layout-list-thumb' => 'ti-layout-list-thumb',
									'layout-media-center-alt' => 'ti-layout-media-center-alt',
									'layout-media-center' => 'ti-layout-media-center',
									'layout-media-left-alt' => 'ti-layout-media-left-alt',
									'layout-media-left' => 'ti-layout-media-left',
									'layout-media-overlay-alt-2' => 'ti-layout-media-overlay-alt-2',
									'layout-media-overlay-alt' => 'ti-layout-media-overlay-alt',
									'layout-media-overlay' => 'ti-layout-media-overlay',
									'layout-media-right-alt' => 'ti-layout-media-right-alt',
									'layout-media-right' => 'ti-layout-media-right',
									'layout-menu-full' => 'ti-layout-menu-full',
									'layout-menu-separated' => 'ti-layout-menu-separated',
									'layout-menu-v' => 'ti-layout-menu-v',
									'layout-menu' => 'ti-layout-menu',
									'layout-placeholder' => 'ti-layout-placeholder',
									'layout-sidebar-2' => 'ti-layout-sidebar-2',
									'layout-sidebar-left' => 'ti-layout-sidebar-left',
									'layout-sidebar-none' => 'ti-layout-sidebar-none',
									'layout-sidebar-right' => 'ti-layout-sidebar-right',
									'layout-slider-alt' => 'ti-layout-slider-alt',
									'layout-slider' => 'ti-layout-slider',
									'layout-tab-min' => 'ti-layout-tab-min',
									'layout-tab-v' => 'ti-layout-tab-v',
									'layout-tab-window' => 'ti-layout-tab-window',
									'layout-tab' => 'ti-layout-tab',
									'layout-width-default-alt' => 'ti-layout-width-default-alt',
									'layout-width-default' => 'ti-layout-width-default',
									'layout-width-full' => 'ti-layout-width-full',
									'layout' => 'ti-layout',
									'light-bulb' => 'ti-light-bulb',
									'line-dashed' => 'ti-line-dashed',
									'line-dotted' => 'ti-line-dotted',
									'line-double' => 'ti-line-double',
									'link' => 'ti-link',
									'linkedin' => 'ti-linkedin',
									'linux' => 'ti-linux',
									'list-ol' => 'ti-list-ol',
									'list' => 'ti-list',
									'location-arrow' => 'ti-location-arrow',
									'location-pin' => 'ti-location-pin',
									'lock' => 'ti-lock',
									'loop' => 'ti-loop',
									'magnet' => 'ti-magnet',
									'map-alt' => 'ti-map-alt',
									'map' => 'ti-map',
									'marker-alt' => 'ti-marker-alt',
									'marker' => 'ti-marker',
									'medall-alt' => 'ti-medall-alt',
									'medall' => 'ti-medall',
									'menu-alt' => 'ti-menu-alt',
									'menu' => 'ti-menu',
									'microphone-alt' => 'ti-microphone-alt',
									'microphone' => 'ti-microphone',
									'microsoft-alt' => 'ti-microsoft-alt',
									'microsoft' => 'ti-microsoft',
									'minus' => 'ti-minus',
									'mobile' => 'ti-mobile',
									'money' => 'ti-money',
									'more-alt' => 'ti-more-alt',
									'more' => 'ti-more',
									'mouse-alt' => 'ti-mouse-alt',
									'mouse' => 'ti-mouse',
									'move' => 'ti-move',
									'music-alt' => 'ti-music-alt',
									'music' => 'ti-music',
									'na' => 'ti-na',
									'new-window' => 'ti-new-window',
									'notepad' => 'ti-notepad',
									'package' => 'ti-package',
									'paint-bucket' => 'ti-paint-bucket',
									'paint-roller' => 'ti-paint-roller',
									'palette' => 'ti-palette',
									'panel' => 'ti-panel',
									'paragraph' => 'ti-paragraph',
									'pencil-alt' => 'ti-pencil-alt',
									'pencil-alt2' => 'ti-pencil-alt2',
									'pencil' => 'ti-pencil',
									'pie-chart' => 'ti-pie-chart',
									'pin-alt' => 'ti-pin-alt',
									'pin' => 'ti-pin',
									'pin2' => 'ti-pin2',
									'pinterest-alt' => 'ti-pinterest-alt',
									'pinterest' => 'ti-pinterest',
									'plug' => 'ti-plug',
									'plus' => 'ti-plus',
									'power-off' => 'ti-power-off',
									'printer' => 'ti-printer',
									'pulse' => 'ti-pulse',
									'quote-left' => 'ti-quote-left',
									'quote-right' => 'ti-quote-right',
									'receipt' => 'ti-receipt',
									'reddit' => 'ti-reddit',
									'reload' => 'ti-reload',
									'rocket' => 'ti-rocket',
									'rss-alt' => 'ti-rss-alt',
									'rss' => 'ti-rss',
									'ruler-alt-2' => 'ti-ruler-alt-2',
									'ruler-alt' => 'ti-ruler-alt',
									'ruler-pencil' => 'ti-ruler-pencil',
									'ruler' => 'ti-ruler',
									'save-alt' => 'ti-save-alt',
									'save' => 'ti-save',
									'search' => 'ti-search',
									'server' => 'ti-server',
									'settings' => 'ti-settings',
									'share-alt' => 'ti-share-alt',
									'share' => 'ti-share',
									'sharethis-alt' => 'ti-sharethis-alt',
									'sharethis' => 'ti-sharethis',
									'shield' => 'ti-shield',
									'shift-left-alt' => 'ti-shift-left-alt',
									'shift-left' => 'ti-shift-left',
									'shift-right-alt' => 'ti-shift-right-alt',
									'shift-right' => 'ti-shift-right',
									'shine' => 'ti-shine',
									'shopping-cart-full' => 'ti-shopping-cart-full',
									'shopping-cart' => 'ti-shopping-cart',
									'shortcode' => 'ti-shortcode',
									'signal' => 'ti-signal',
									'skype' => 'ti-skype',
									'slice' => 'ti-slice',
									'smallcap' => 'ti-smallcap',
									'soundcloud' => 'ti-soundcloud',
									'split-h' => 'ti-split-h',
									'split-v-alt' => 'ti-split-v-alt',
									'split-v' => 'ti-split-v',
									'spray' => 'ti-spray',
									'stack-overflow' => 'ti-stack-overflow',
									'stamp' => 'ti-stamp',
									'star' => 'ti-star',
									'stats-down' => 'ti-stats-down',
									'stats-up' => 'ti-stats-up',
									'support' => 'ti-support',
									'tablet' => 'ti-tablet',
									'tag' => 'ti-tag',
									'target' => 'ti-target',
									'text' => 'ti-text',
									'themify-favicon-alt' => 'ti-themify-favicon-alt',
									'themify-favicon' => 'ti-themify-favicon',
									'themify-logo' => 'ti-themify-logo',
									'thought' => 'ti-thought',
									'thumb-down' => 'ti-thumb-down',
									'thumb-up' => 'ti-thumb-up',
									'ticket' => 'ti-ticket',
									'time' => 'ti-time',
									'timer' => 'ti-timer',
									'trash' => 'ti-trash',
									'trello' => 'ti-trello',
									'truck' => 'ti-truck',
									'tumblr-alt' => 'ti-tumblr-alt',
									'tumblr' => 'ti-tumblr',
									'twitter-alt' => 'ti-twitter-alt',
									'twitter' => 'ti-twitter',
									'underline' => 'ti-underline',
									'unlink' => 'ti-unlink',
									'unlock' => 'ti-unlock',
									'upload' => 'ti-upload',
									'uppercase' => 'ti-uppercase',
									'user' => 'ti-user',
									'vector' => 'ti-vector',
									'video-camera' => 'ti-video-camera',
									'video-clapper' => 'ti-video-clapper',
									'view-grid' => 'ti-view-grid',
									'view-list-alt' => 'ti-view-list-alt',
									'view-list' => 'ti-view-list',
									'vimeo-alt' => 'ti-vimeo-alt',
									'vimeo' => 'ti-vimeo',
									'volume' => 'ti-volume',
									'wallet' => 'ti-wallet',
									'wand' => 'ti-wand',
									'wheelchair' => 'ti-wheelchair',
									'widget-alt' => 'ti-widget-alt',
									'widget' => 'ti-widget',
									'widgetized' => 'ti-widgetized',
									'wordpress' => 'ti-wordpress',
									'world' => 'ti-world',
									'write' => 'ti-write',
									'yahoo' => 'ti-yahoo',
									'youtube' => 'ti-youtube',
									'zip' => 'ti-zip',
									'zoom-in' => 'ti-zoom-in',
									'zoom-out' => 'ti-zoom-out'
								)
		);
	}

}